commit: 6975745920bec3bb2151556dc5aa92428f042445
Author: Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 12 01:32:07 2015 +0000
Commit: Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Sat Sep 12 01:32:07 2015 +0000
URL: https://gitweb.gentoo.org/proj/mysql.git/commit/?id=69757459
dev-db/mariadb: update tests for 10.1.7_rc
Signed-off-by: Brian Evans <grknight <AT> gentoo.org>
dev-db/mariadb/mariadb-10.1.7_rc.ebuild | 25 +++++++++++++++----------
1 file changed, 15 insertions(+), 10 deletions(-)
diff --git a/dev-db/mariadb/mariadb-10.1.7_rc.ebuild
b/dev-db/mariadb/mariadb-10.1.7_rc.ebuild
index f90c1ca..53de1cf 100644
--- a/dev-db/mariadb/mariadb-10.1.7_rc.ebuild
+++ b/dev-db/mariadb/mariadb-10.1.7_rc.ebuild
@@ -23,7 +23,7 @@ DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
RDEPEND="${RDEPEND}"
# Official test instructions:
-# USE='embedded extraengine perl ssl static-libs community' \
+# USE='client-libs community embedded extraengine perl server ssl static-libs
tools' \
# FEATURES='test userpriv -usersandbox' \
# ebuild mariadb-X.X.XX.ebuild \
# digest clean package
@@ -38,11 +38,11 @@ multilib_src_test() {
local retstatus_unit
local retstatus_tests
- # Bug #213475 - MySQL _will_ object strenously if your machine is named
- # localhost. Also causes weird failures.
- [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be
named localhost"
+ if use server ; then
- if ! use "minimal" ; then
+ # Bug #213475 - MySQL _will_ object strenously if your machine
is named
+ # localhost. Also causes weird failures.
+ [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must
NOT be named localhost"
if [[ $UID -eq 0 ]]; then
die "Testing with FEATURES=-userpriv is no longer
supported by upstream. Tests MUST be run as non-root."
@@ -57,6 +57,13 @@ multilib_src_test() {
retstatus_unit=$?
[[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
+ # Create a symlink to provided binaries so the tests can find
them when client-libs is off
+ if ! use client-libs ; then
+ ln -srf /usr/bin/my_print_defaults
"${BUILD_DIR}/client/my_print_defaults" || die
+ ln -srf /usr/bin/perror "${BUILD_DIR}/client/perror" ||
die
+ mysql-multilib_disable_test main.perror "String
mismatch due to not building local perror"
+ fi
+
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# Enable parallel testing, auto will try to detect number of
cores
@@ -64,7 +71,7 @@ multilib_src_test() {
# The default maximum is 8 unless MTR_MAX_PARALLEL is increased
export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
- # create directories because mysqladmin might right out of order
+ # create directories because mysqladmin might run out of order
mkdir -p "${T}"/var-tests{,/log}
# These are failing in MariaDB 10.0 for now and are believed to
be
@@ -82,9 +89,8 @@ multilib_src_test() {
# plugins.cracklib_password_check
# Can randomly fail due to cracklib return message
-# main.bootstrap \
for t in main.mysql_client_test main.mysql_client_test_nonblock
\
- main.mysql_client_test_comp \
+ main.mysql_client_test_comp main.bootstrap \
binlog.binlog_statement_insert_delayed
main.information_schema \
main.mysqld--help plugins.cracklib_password_check \
funcs_1.is_triggers funcs_1.is_tables_mysql
funcs_1.is_columns_mysql ; do
@@ -95,7 +101,7 @@ multilib_src_test() {
pushd "${TESTDIR}"
# run mysql-test tests
- perl mysql-test-run.pl --force --vardir="${T}/var-tests"
+ perl mysql-test-run.pl --force --vardir="${T}/var-tests"
--reorder
retstatus_tests=$?
[[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
@@ -116,7 +122,6 @@ multilib_src_test() {
einfo "Tests successfully completed"
else
-
einfo "Skipping server tests due to minimal build."
fi
}